--
-- Inform
-- author: werik
--

Inform = {};

function Inform.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Fillable, specializations);
end;

function Inform:load(xmlFile)
end;

function Inform:readStream(streamId, connection)
end;

function Inform:writeStream(streamId, connection)
end;

function Inform:delete()
end;

 
function Inform:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Inform:keyEvent(unicode, sym, modifier, isDown)
end;
 
function Inform:update(dt)
end;

function Inform:onLeave()
end;

function Inform:draw()
		local prozent = self.fillLevel/self.capacity*100;
		if prozent > 0 then
	              local fillType = Fillable.fillTypeIndexToDesc[self.currentFillType];
		renderText(0.8, 0.82, 0.02,""..string.format("2PTS 4.5: %.0f (%d%%)", self.fillLevel, prozent).."");
		end;

            if self.fillLevel == self.capacity then
	              setTextBold(true);
                            setTextColor(1.0, 0.0, 0.0, 1.0); 
		renderText(0.8, 0.80, 0.02, g_i18n:getText("mh_OVERFLOW"));
          end;
end;
